# TransactionEntryRequest | xrpl
Documentation for xrpl

# Interface TransactionEntryRequest

The `transaction_entry` method retrieves information on a single transaction from a specific ledger version. Expects a response in the form of a TransactionEntryResponse.

#### Hierarchy

- BaseRequest
  - TransactionEntryRequest

- Defined in packages/xrpl/src/models/methods/transactionEntry.ts:13

#####
Index

### Properties

api_version?
command
id?
ledger_hash?
ledger_index?
tx_hash

## Properties

### `Optional` api_version

api_version?: number

The API version to use. If omitted, use version 1.

Inherited from BaseRequest.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:14

### command

command: "transaction_entry"

Overrides BaseRequest.command

- Defined in packages/xrpl/src/models/methods/transactionEntry.ts:14

### `Optional` id

id?: string | number

A unique value to identify this request. The response to this request uses the same id field. This way, even if responses arrive out of order, you know which request prompted which response.

Inherited from BaseRequest.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:10

### `Optional` ledger_hash

ledger_hash?: string

A 20-byte hex string for the ledger version to use.

- Defined in packages/xrpl/src/models/methods/transactionEntry.ts:16

### `Optional` ledger_index

ledger_index?: LedgerIndex

The ledger index of the ledger to use, or a shortcut string to choose a ledger automatically.

- Defined in packages/xrpl/src/models/methods/transactionEntry.ts:21

### tx_hash

tx_hash: string

Unique hash of the transaction you are looking up.

- Defined in packages/xrpl/src/models/methods/transactionEntry.ts:23

Generated using TypeDoc